<script>
	import Footer from 'flowbite-svelte/Footer.svelte';
	import FooterCopyright from 'flowbite-svelte/FooterCopyright.svelte';
	import FooterIcon from 'flowbite-svelte/FooterIcon.svelte';
	import ArrowLeftOutline from 'flowbite-svelte-icons/ArrowLeftOutline.svelte';
	import ArrowRightOutline from 'flowbite-svelte-icons/ArrowRightOutline.svelte';
	import ZoomInSolid from 'flowbite-svelte-icons/ZoomInSolid.svelte';
	import ZoomOutSolid from 'flowbite-svelte-icons/ZoomOutSolid.svelte';
	import TerminalSolid from 'flowbite-svelte-icons/TerminalSolid.svelte';
	import TerminalLog from '$lib/Components/TerminalLog.svelte';

	import { IsTerminalOpen } from '$lib/stores';

	let FooterIcons = [
		{ FnIcon: () => import('flowbite-svelte-icons/FacebookSolid.svelte') },
		{ FnIcon: () => import('flowbite-svelte-icons/DiscordSolid.svelte') },
		{ FnIcon: () => import('flowbite-svelte-icons/TwitterSolid.svelte') }
	];
</script>

<Footer
	footerType="socialmedia"
	class="sticky bottom-0 z-50 surface-ios-cont p-0 sm:p-0 pb-2 sm:pb-2"
	border="true"
>
	<TerminalLog />
	<hr class="border-surface-200 sm:mx-auto dark:border-surface-400 mb-2" />
	<div class="flex items-center justify-between px-4">
		<FooterCopyright by="RDS" />
		<div class="flex flex-row gap-6">
			<div class="flex flex-row gap-2">
				<button onclick={() => history.go(-1)}>
					<ArrowLeftOutline class="w-7 h-7 ms-2" />
				</button>

				<button onclick={() => history.go(1)}>
					<ArrowRightOutline class="w-7 h-7 ms-2" />
				</button>
			</div>

			<div class="flex flex-row gap-2">
				<button onclick={() => ($IsTerminalOpen = !$IsTerminalOpen)}>
					<TerminalSolid class="w-5 h-5 ms-2" />
				</button>
			</div>

			<div class="flex flex-row gap-2 translate-y-[1px]">
				<button onclick={() => alert('$Java Zoom in')}>
					<ZoomInSolid class="w-5 h-5 ms-2" />
				</button>

				<button onclick={() => alert('$Java Zoom out')}>
					<ZoomOutSolid class="w-5 h-5 ms-2" />
				</button>
			</div>
		</div>
		<div class="flex space-x-6 rtl:space-x-reverse sm:justify-center mt-0">
			{#each FooterIcons as { FnIcon }, idx (idx)}
				<FooterIcon class="w-5 h-5 flex justify-center items-center">
					{#await FnIcon() then ThisIcon}
						<svelte:component this={ThisIcon.default} class="w-5 h-5" />
					{/await}
				</FooterIcon>
			{/each}
		</div>
	</div>
</Footer>
